Name: x11-driver-input-mouse
Version: 1.1.1
Release: %mkrel 1
Summary: Xorg input driver for mice
Group: Development/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-input-mouse-%{version}.tar.bz2
# open mouse twice to workaround a bug in the kernel when dealing
# with a PS/2 mouse and an USB keuboard
Patch0: x11-driver-input-mouse-twice.patch 
License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Conflicts: xorg-x11-server < 7.0

%description
This package provide Xorg input driver for mice.

%prep
%setup -q -n xf86-input-mouse-%{version}
%patch0 -p1 -b .mouse-twice

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std
rm -f %{buildroot}%{_mandir}/man4/mouse.4*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/input/mouse_drv.la
%{_libdir}/xorg/modules/input/mouse_drv.so
#%{_mandir}/man4/mouse.4.bz2


%changelog
* Fri Jun 02 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-06-02 21:11:55 (31885)
- new upstream release (1.1.1):
   * Overhaul of wheel processing. Does work correctly with multibit
     zaxis events now. Autodetect (one way only) single wheel only for
     EXPS2. Use singlebit protocol for multiwheel EXPS2 mice.
   * Fixed manpage and default ZAxisMapping configuration.
- added patch: open mouse twice to workaround a bug in the kernel when dealing
         with a PS/2 mouse and an USB keuboard

* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 19:59:30 (31594)
- Updated drivers for X11R7.1

* Tue May 23 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-05-23 22:34:52 (31402)
- fill in more missing descriptions

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository
